# VecAXPBY

Computes y = alpha x + beta y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBY(Vec y,PetscScalar alpha,PetscScalar beta,Vec x)

Collective on Vec

### Input Parameters

| alpha,beta | - the scalars
| x, y | - the vectors

### Output Parameter

y -output vector

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html